VSTGUI: ViewCreatorAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ViewCreatorAdapter Class Reference

View creator interface adapter. More...

Inheritance diagram for ViewCreatorAdapter:

## Public Member Functions
bool | apply (CView *view, const UIAttributes &attributes, const IUIDescription *description) const override
bool | getAttributeNames (StringList &attributeNames) const override
AttrType | getAttributeType (const string &attributeName) const override
bool | getAttributeValue (CView *view, const string &attributeName, string &stringValue, const IUIDescription *desc) const override
bool | getPossibleListValues (const string &attributeName, ConstStringPtrList &values) const override
bool | getAttributeValueRange (const string &attributeName, double &minValue, double &maxValue) const override
UTF8StringPtr | getDisplayName () const override
Public Member Functions inherited from IViewCreator
virtual | ~IViewCreator () noexcept=default
virtual IdStringPtr | getViewName () const =0
virtual IdStringPtr | getBaseViewName () const =0
virtual CView * | create (const UIAttributes &attributes, const IUIDescription *description) const =0

## Additional Inherited Members
Public Types inherited from IViewCreator
enum | AttrType { kUnknownType, kBooleanType, kIntegerType, kFloatType, kStringType, kColorType, kFontType, kBitmapType, kPointType, kRectType, kTagType, kListType, kGradientType }
using | string = std::string
using | StringList = std::list< string >
using | ConstStringPtrList = std::list< const string * >

## Detailed Description

View creator interface adapter.

## Member Function Documentation

bool apply | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in MultiBitmapControlCreator, SliderCreator, KnobCreator, RowColumnViewCreator, SegmentButtonCreator, SplitViewCreator, StringListControlCreator, UIViewSwitchContainerCreator, AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, LayeredViewContainerCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, ScrollViewCreator, SearchTextEditCreator, ShadowViewContainerCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, XYPadCreator, SwitchBaseCreator, KnobBaseCreator, and SliderBaseCreator.

bool getAttributeNames | ( | StringList & | attributeNames | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in SliderCreator, KnobCreator, MultiBitmapControlCreator, RowColumnViewCreator, SegmentButtonCreator, SplitViewCreator, StringListControlCreator, UIViewSwitchContainerCreator, AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, LayeredViewContainerCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, ScrollViewCreator, SearchTextEditCreator, ShadowViewContainerCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, XYPadCreator, KnobBaseCreator, SliderBaseCreator, and SwitchBaseCreator.

AttrType getAttributeType | ( | const string & | attributeName | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in SliderCreator, KnobCreator, MultiBitmapControlCreator, RowColumnViewCreator, SegmentButtonCreator, SplitViewCreator, StringListControlCreator, UIViewSwitchContainerCreator, AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, LayeredViewContainerCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, ScrollViewCreator, SearchTextEditCreator, ShadowViewContainerCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, XYPadCreator, KnobBaseCreator, SliderBaseCreator, and SwitchBaseCreator.

bool getAttributeValue | ( | CView * | view,
|  | const string & | attributeName,
|  | string & | stringValue,
|  | const IUIDescription * | desc
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in MultiBitmapControlCreator, SliderCreator, KnobCreator, SegmentButtonCreator, TextButtonCreator, RowColumnViewCreator, SplitViewCreator, StringListControlCreator, UIViewSwitchContainerCreator, AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, LayeredViewContainerCreator, MultiLineTextLabelCreator, OptionMenuCreator, ParamDisplayCreator, ScrollViewCreator, SearchTextEditCreator, ShadowViewContainerCreator, TextEditCreator, TextLabelCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, XYPadCreator, KnobBaseCreator, SliderBaseCreator, and SwitchBaseCreator.

bool getAttributeValueRange | ( | const string & | attributeName,
|  | double & | minValue,
|  | double & | maxValue
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in GradientViewCreator, ParamDisplayCreator, ShadowViewContainerCreator, and ViewCreator.

UTF8StringPtr getDisplayName | ( |  | ) | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in HorizontalSwitchCreator, SliderCreator, KnobCreator, VerticalSwitchCreator, RowColumnViewCreator, SegmentButtonCreator, UIViewSwitchContainerCreator, AnimationSplashScreenCreator, AnimKnobCreator, AutoAnimationCreator, CheckBoxCreator, ControlCreator, GradientViewCreator, KickButtonCreator, LayeredViewContainerCreator, MovieBitmapCreator, MovieButtonCreator, MultiLineTextLabelCreator, OnOffButtonCreator, OptionMenuCreator, ParamDisplayCreator, RockerSwitchCreator, ScrollViewCreator, SearchTextEditCreator, ShadowViewContainerCreator, SplitViewCreator, StringListControlCreator, TextButtonCreator, TextEditCreator, TextLabelCreator, ViewContainerCreator, ViewCreator, VuMeterCreator, and XYPadCreator.

bool getPossibleListValues | ( | const string & | attributeName,
|  | ConstStringPtrList & | values
| ) |  | const
| inlineoverridevirtual

Implements IViewCreator.

Reimplemented in RowColumnViewCreator, SplitViewCreator, UIViewSwitchContainerCreator, GradientViewCreator, MultiLineTextLabelCreator, TextLabelCreator, ViewContainerCreator, VuMeterCreator, SegmentButtonCreator, TextButtonCreator, and SliderBaseCreator.

The documentation for this class was generated from the following file:

- iviewcreator.h